Subject: [Bug 208] New: spec contradictory in ETag requirements

From: [email-masked]
Date: Sat, 17 Dec 2005 12:10:42 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=208

           Summary: spec contradictory in ETag requirements
           Product: WebDAV-RFC2518-bis
           Version: -09
          Platform: Other
               URL: http://greenbytes.de/tech/webdav/draft-ietf-webdav-
                    rfc2518bis-09.html#rfc.section.8.1.4
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: 08.  HTTP Methods for Distributed Authoring
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
         QAContact: [email-masked]

>From Section 8.1.4
(<http://greenbytes.de/tech/webdav/draft-ietf-webdav-rfc2518bis-09.html#rfc.section.8.1.4>):

"If ETags are supported for a resource, the server MUST return the ETag header
in all PUT and GET responses to that resource, as well as provide the same value
for the DAV:getetag property."

DAV:getetag explicitly says that Accept headers are not taken into account, so
this must either be relaxed or clarified.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.